homoData-class {annotate} | R Documentation

## Class "homoData"

### Description

A class to present data for HomologGene data of a matching sequence

### Objects from the Class

Objects can be created by calls of the form `new("homoData", ...)`.

### Slots

`homoOrg`:
  Object of class `"character"` the scientific name of the organism of interest
`homoLL`:
  Object of class `"numeric"` the LocusLink id of the gene of interest
`homoType`:
  Object of class `"character"` the type of similarity. Valid values include B - a recipiprocal best best between 3 or more organisms, b - a reciprocal best match, and c - a curated homology relationship
`homoPS`:
  Object of class `"numeric"` percent similarity value
`homoURL`:
  Object of class `"character"` the URL for curated homology relationship
`homoACC`:
  Object of class `"character"` the accession number
`homoHGID`:
  Object of class `"numeric"` the internal HomologGeneID

### Methods

homoPS
  `signature(object = "homoData")`: the get function for slot `homoPS`
homoLL
  `signature(object = "homoData")`: the get function for slot `homoLL`
homoOrg
  `signature(object = "homoData")`: the get function for slot `homoOrg`
homoType
  `signature(object = "homoData")`: the get function for slot `homoType`
homoURL
  `signature(object = "homoData")`: the get function for slot `homoURL`
homoACC
  `signature(object = "homoData")`: the get function for slot `homoACC`
homoHGID
  `signature(object = "homoHGID")`: the get function for slot `homoHGID`

### Note

This function is part of the Bioconductor project at Dana-Farber Cancer Institute to provide Bioinfomatics functionalities throug R

### Author(s)

Jianhua Zhang

### References

ftp://ftp.ncbi.nih.gov/pub/HomoloGene/README

### Examples

        new("homoData", homoPS = 82.3, homoLL = 2324853, homoOrg = "Homo sapins",
    homoType = "B", homoURL = "", homoHGID = 12345)

[Package annotate version 1.10.0 Index]